package com.jsowell.common.enums.thirdparty;

/**
 * 参数返回编码表
 */
public enum ThirdPartyReturnCodeEnum {

    // ↓ ↓ ↓ ↓ ↓ 中电联定义 102协议 begin ↓ ↓ ↓ ↓ ↓
    SYSTEM_BUSY("-1", "系统繁忙"),
    SUCCESS("0", "操作成功"),
    SIGN_ERROR("4001", "签名错误"),
    TOKEN_ERROR("4002", "token错误"),
    PARAM_NOT_NULL_ERROR("4003", "POST参数不合法,缺少必须的字段"),
    PARAM_INVALID_ERROR("4004", "请求的业务参数不合法，各接口定义自己的正确参数"),
    SYSTEM_ERROR("500", "系统错误"),
    // ↑ ↑ ↑ ↑ ↑ 中电联定义 102协议 end ↑ ↑ ↑ ↑ ↑


    // ↓ ↓ ↓ ↓ ↓ 内蒙古平台定义 begin ↓ ↓ ↓ ↓ ↓
    REFUSE("403", "REFUSE"),
    QUERY_IS_NULL_ERROR("1001", "根据消息体中的组织机构代码，获取不到商户"),
    ENCRYPTION_OR_DECRYPTION_ERROR("1002", "加解密异常"),
    FIELD_FORMAT_ERROR("1003", "字段格式错误"),
    // ↑ ↑ ↑ ↑ ↑  内蒙古平台定义 end ↑ ↑ ↑ ↑ ↑

    QUERY_DATA_IS_NULL_ERROR("1004", "查询不到数据"),

    ;
    private String ret;
    private String msg;

    public String getRet() {
        return ret;
    }

    public void setRet(String ret) {
        this.ret = ret;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    ThirdPartyReturnCodeEnum(String ret, String msg) {
        this.ret = ret;
        this.msg = msg;
    }
}
